# tx-elm

Exploration of elm and elm-cardano with view of tx building for Subbit.xyz and
others.

## Setup

### Dev env

This repo is using nix flakes and has a devshell. Otherwise dependencies are
`elm`, `nodejs` and `just`.

The "right" way to package elm with nix is not known to the author. Maybe
[elm2nix](https://github.com/cachix/elm2nix). But we can revisit this later.

### Install

Using `just`, `just setup`

### Build & Run

```
  just dev <args>
```

## Todo

- [ ] L1 provider interface
- [ ] Pretty print json to stdout
- [ ] Read env vars
- [ ] Read and write files
- [ ] Use model to iterate on state
- [ ] Use wallet
- [ ] Tx builder interface
